Package org.linphone.core

# Enum Class ParticipantDevice.DisconnectionMethod

java.lang.Object
java.lang.Enum<ParticipantDevice.DisconnectionMethod>
org.linphone.core.ParticipantDevice.DisconnectionMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<ParticipantDevice.DisconnectionMethod>`, `Constable`

Enclosing interface:
  ParticipantDevice

public static enum ParticipantDevice.DisconnectionMethod extends Enum<ParticipantDevice.DisconnectionMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Booted`
an admin removes the device from a conference
`Busy`
device is busy
`Departed`
the device disconnects from the conference
`Failed`
an error occurred while the device is leaving the conference or he declined a
call from the server

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ParticipantDevice.DisconnectionMethod`
`fromInt(int value)`
`int`
`toInt()`
`static ParticipantDevice.DisconnectionMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParticipantDevice.DisconnectionMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Booted

public static final ParticipantDevice.DisconnectionMethod Booted
an admin removes the device from a conference

### Departed

public static final ParticipantDevice.DisconnectionMethod Departed
the device disconnects from the conference

### Busy

public static final ParticipantDevice.DisconnectionMethod Busy
device is busy

### Failed

public static final ParticipantDevice.DisconnectionMethod Failed
an error occurred while the device is leaving the conference or he declined a
call from the server

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ParticipantDevice.DisconnectionMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParticipantDevice.DisconnectionMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ParticipantDevice.DisconnectionMethod fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()